ASTEQNode (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.parser.node.ASTEQNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class ASTEQNode

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SimpleNode
          org.apache.velocity.runtime.parser.node.ASTEQNode

All Implemented Interfaces:
  Node

public class ASTEQNode
extends SimpleNode

Handles the equivalence operator == This operator requires that the LHS and RHS are both of the same Class.

Version:
  $Id: ASTEQNode.java,v 1.9.4.1 2004/03/03 23:22:58 geirm Exp $

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`children, first, id, info, invalid, last, parent, parser, rsvc, state`

Constructor Summary
`ASTEQNode(int id)`
`ASTEQNode(Parser p, int id)`

Method Summary
`boolean` | `evaluate(InternalContextAdapter context)` Calculates the value of the logical expression arg1 == arg2 All class types are supported.
`java.lang.Object` | `jjtAccept(ParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`java.lang.Object` | `value(InternalContextAdapter context)`

Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`childrenAccept, dump, execute, getColumn, getFirstToken, getInfo, getLastToken, getLine, getType, init, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, render, setFirstToken, setInfo, setInvalid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASTEQNode

    public ASTEQNode(int id)

### ASTEQNode

    public ASTEQNode(Parser p,
                     int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(ParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

### evaluate

    public boolean evaluate(InternalContextAdapter context)
                     throws MethodInvocationException

  Calculates the value of the logical expression arg1 == arg2 All class types are supported. Uses equals() to determine equivalence. This should work as we represent with the types we already support, and anything else that implements equals() to mean more than identical references.

  Specified by:
    `evaluate` in interface `Node`
  Overrides:
    `evaluate` in class `SimpleNode`
  Parameters:
    `context` - internal context used to evaluate the LHS and RHS
  Returns:
    true if equivalent, false if not equivalent, false if not compatible arguments, or false if either LHS or RHS is null
  Throws:
    `MethodInvocationException`

### value

    public java.lang.Object value(InternalContextAdapter context)
                           throws MethodInvocationException

  Specified by:
    `value` in interface `Node`
  Overrides:
    `value` in class `SimpleNode`
  Throws:
    `MethodInvocationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.